/*
 * @Descripttion: HJ
 * @Company: 思宏科技
 * @version: v1.0
 * @Author: HJ
 * @Date: 2021-03-08 13:17:48
 * @LastEditors: HJ
 * @LastEditTime: 2021-07-27 15:44:17
 */
const { bus, Tips } = getApp()

const componentOptions = {
  // 组件选项
  options: {
    multipleSlots: true
  },
  behaviors: [],
  properties: {
    msg: {
      type: String,
      value: ''
    },
    type: {
      type: String,
      value: 'rich'
    },
    visible: {
      type: Boolean,
      value: false
    },
    title: {
      type: String,
      value: '系统提示'
    },
    emptyText: {
      type: String,
      value: '暂无说明'
    }
  },
  // 组件数据
  data: {
    isPageHidden: false, // 页面是否处于隐藏状态
    // 弹出层样式
    customStyle: 'background: transparent;width:100vw;height:100vh;',
    show: false
  },
  // 数据监听器
  observers: {
    visible(v) {
      this.setData({
        show: v
      })
    }
  },
  // 组件方法
  methods: {
    init() {},
    // 展示弹窗
    showPopup() {
      this.setData({ show: true })
    },
    // 关闭事件
    onClose() {
      this.setData({ show: false })
    }
  },
  // 组件生命周期
  lifetimes: {
    created() {},
    attached() {
      this.init()
    },
    ready() {},
    moved() {},
    detached() {}
  },
  definitionFilter() {},
  // 页面生命周期
  pageLifetimes: {
    // 页面被展示
    show() {
      const { isPageHidden } = this.data

      // show事件发生前，页面不是处于隐藏状态时
      if (!isPageHidden) {
        return
      }
    },
    // 页面被隐藏
    hide() {
      this.setData({
        isPageHidden: true
      })

      // 清除定时器等操作
    },
    // 页面尺寸变化时
    resize() {}
  }
}

Component(componentOptions)
